> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Release a held reservation or cancel a locally booked one, returning capacity to the avail



## OpenAPI

````yaml /openapi/storefront.yaml post /api/v2/storefront/inventory-sources/{id}/modular/bookings/release
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Publisher Domains
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/inventory-sources/{id}/modular/bookings/release:
    post:
      tags:
        - Inventory Sources
      summary: >-
        Release a held reservation or cancel a locally booked one, returning
        capacity to the avail
      operationId: postStorefrontInventorySourcesByIdModularBookingsRelease
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                mediaBuyId:
                  type: string
                  minLength: 1
                  maxLength: 200
                packageId:
                  type: string
                  minLength: 1
                  maxLength: 200
                buyerCustomerId:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                availId:
                  type: string
                  minLength: 1
                  maxLength: 200
              required:
                - mediaBuyId
                - buyerCustomerId
                - availId
              additionalProperties: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          bookingId:
                            type: string
                          availId:
                            type: string
                          mediaBuyId:
                            type: string
                          packageId:
                            type:
                              - string
                              - 'null'
                          requestedImpressions:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          status:
                            type: string
                            enum:
                              - HELD
                              - BOOKED
                              - DELIVERED
                              - RELEASED
                              - CANCELLED
                        required:
                          - bookingId
                          - availId
                          - mediaBuyId
                          - packageId
                          - requestedImpressions
                          - status
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````